/* 
    BattleTeamArena Copyright (C) 2007-2008 Nico de Vries.

    This file is part of BattleTeamArena.

    BattleTeamArena is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see http://www.gnu.org/licenses/.
    
    This file also contains code that is derived from code which is
    Copyright 1998-2007 Epic Games, Inc. All Rights Reserved. That part 
    of the code is covered by the Epic license and not by the GPL.
*/

class BattleTeamAI extends UTTeamAI;

function bool FriendlyToward (Pawn Other)
{
  local BattlePRI BPRI;

  if (WorldInfo.GRI.OnSameTeam(Self, Other)) {
    return true;
  } else {
    if (Controller (Owner) != None && Controller(Owner).PlayerReplicationInfo != None) {
      BPRI = BattlePRI (Controller(Owner).PlayerReplicationInfo);
      if (BPRI != None) {
        if (BPRI.SpecialPlayerState == SPS_Frozen) {
          return true; // Don't shoot frozen players
        }
      }
    }
  }
  return false;
}

defaultproperties
{
  SquadType=Class'BattleSquadAI'
  Name="BattleTeamAI"
}